\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Triangulated Surface Mesh Shortest Paths

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
CGAL::Surface_mesh_shortest_path< Traits, VIM, HIM, FIM, VPM >::Source_point_iterator Class Reference

`#include <CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path.h>`

## Definition

### template<class Traits, class VIM = Default, class HIM = Default, class FIM = Default, class VPM = Default>
class CGAL::Surface_mesh_shortest_path< Traits, VIM, HIM, FIM, VPM >::Source_point_iterator

A model of `BidirectionalIterator` to access the source points.

An iterator becomes invalid if:

- the corresponding point is removed (either with `Surface_mesh_shortest_path::remove_source_point()` or `Surface_mesh_shortest_path::remove_all_source_points()`).
- the structure is re-built (triggered by a shortest path query or a call to `Surface_mesh_shortest_path::build_sequence_tree()`).
- the structure is cleared (`Surface_mesh_shortest_path::clear()`).

Dereferencing this iterator yields a `const Surface_mesh_shortest_path::Face_location&`.

This iterator supports equality comparison operations.

## Public Member Functions
| Source_point_iterator ()
| Default constructor
| Source_point_iterator (const Source_point_iterator &other)
| Copy constructor.